
From: Anton Blanchard <anton@samba.org>

There is a prototype for dump_regs on ppc32 and ppc64 but its never
defined.  Remove it since it conflicts with something in
drivers/atm/horizon.c.

Also clean up ppc64 system.h a bit to match the ppc32 version.



---

 include/asm-ppc/system.h   |    2 --
 include/asm-ppc64/system.h |    9 +++++----
 2 files changed, 5 insertions(+), 6 deletions(-)

diff -puN include/asm-ppc64/system.h~ppc64-remove-dump_regs include/asm-ppc64/system.h
--- 25/include/asm-ppc64/system.h~ppc64-remove-dump_regs	2004-02-20 23:05:57.000000000 -0800
+++ 25-akpm/include/asm-ppc64/system.h	2004-02-20 23:05:57.000000000 -0800
@@ -53,6 +53,10 @@
 #define smp_read_barrier_depends()  do { } while(0)
 #endif /* CONFIG_SMP */
 
+#ifdef __KERNEL__
+struct task_struct;
+struct pt_regs;
+
 #ifdef CONFIG_DEBUGGER
 
 extern int (*__debugger)(struct pt_regs *regs);
@@ -103,7 +107,6 @@ extern void cvt_fd(float *from, double *
 extern void cvt_df(double *from, float *to, unsigned long *fpscr);
 extern int abs(int);
 
-struct task_struct;
 extern struct task_struct *__switch_to(struct task_struct *,
 				       struct task_struct *);
 #define switch_to(prev, next, last)	((last) = __switch_to((prev), (next)))
@@ -112,9 +115,6 @@ struct thread_struct;
 extern struct task_struct * _switch(struct thread_struct *prev,
 				    struct thread_struct *next);
 
-struct pt_regs;
-extern void dump_regs(struct pt_regs *);
-
 static inline int __is_processor(unsigned long pv)
 {
 	unsigned long pvr;
@@ -265,4 +265,5 @@ __cmpxchg(volatile void *ptr, unsigned l
 				    (unsigned long)_n_, sizeof(*(ptr))); \
   })
 
+#endif /* __KERNEL__ */
 #endif
diff -puN include/asm-ppc/system.h~ppc64-remove-dump_regs include/asm-ppc/system.h
--- 25/include/asm-ppc/system.h~ppc64-remove-dump_regs	2004-02-20 23:05:57.000000000 -0800
+++ 25-akpm/include/asm-ppc/system.h	2004-02-20 23:05:57.000000000 -0800
@@ -95,8 +95,6 @@ extern struct task_struct *_switch(struc
 
 extern unsigned int rtas_data;
 
-extern void dump_regs(struct pt_regs *);
-
 static __inline__ unsigned long
 xchg_u32(volatile void *p, unsigned long val)
 {

_
